

def lunar_sum(a, b):
    max_length = max(len(a), len(b))
    a = a.zfill(max_length)
    b = b.zfill(max_length)
    result = ''.join(max(x, y) for x, y in zip(a, b))
    return result

def lunar_multiply(a, b):
    a = a[::-1]
    b = b[::-1]
    partial_results = []

    for i in range(len(b)):
        c_b = b[i]
        c_p = []
        k = 0
        for j in range(len(a)):
            c_d = a[j]
            product_min = min(int(c_d_a), int(c_d_b))
            c_p.append(product_min)
        c_p_str = ''.join(map(str, c_p)).rstrip('0')
        c_p_str = c_p_str + '0' * i
        partial_results.append(c_p_str)
    result = '0'
    for part in partial_results:
        result = lunar_sum(result, part)

    return result

def main():
    a = input().strip()
    b = input().strip()  

    sum_result = lunar_sum(a, b)
    product_result = lunar_multiply(a, b)

    print(sum_result, product_result)

if __name__ == "__main__":
    main()
