def find_path(a, b):
    path = []
    numerator = 1
    denominator = 1

    while True:
        if numerator == a and denominator == b:
            return ''.join(path)
        elif numerator > a or denominator > b:
            return "no"

        # Если целевая дробь меньше текущей
        if a * denominator < b * numerator:
            path.append('L')  # Двигаемся влево
            denominator += numerator  # 1/1 -> 1/(1+1) = 1/2
        else:
            path.append('R')  # Двигаемся вправо
            numerator += denominator  # 1/1 -> (1+1)/1 = 2/1

if __name__ == "__main__":
    a, b = map(int, input().strip().split())
    result = find_path(a, b)
    print(result)
